<link href="https://fonts.googleapis.com/css?family=Athiti:600" rel="stylesheet">
<ion-header no-border style="margin-top: 5%; margin-bottom: 5%;">
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
  </ion-navbar>
</ion-header>
<ion-content class="auth-bg bg-all">
  <ion-grid style="margin-top: 10%;">
    <ion-row>      
      
        <ion-col col-12 class="menudiv" text-center>
            <ion-item no-lines class="menubar">
              <ion-label class="fontmenu">ข่าวสารทั้งหมด</ion-label>
            </ion-item>
            <ion-item no-border no-lines class="level">
              <img style="border-radius: 50%;" class="image-title" src="{{student_img}}">
              <ion-icon *ngIf="student_level == '1' || student_level == '2' " name="md-bookmark" class="bookmark"></ion-icon>
              <ion-icon *ngIf="student_level == '1' " name="md-star" class="star"></ion-icon>
            </ion-item>
          </ion-col>

      <ion-col col-12 text-center class="news-slide">
        <div [ngStyle]="{ 'height' : height,'width': width}">
          <ion-slides *ngIf="list_news" pager autoplay="5000" loop="true" speed="1000">
            <ion-slide *ngFor="let item of list_news">
              <img *ngIf="item.newsid != ''" class="imgSlide" src="{{item.news_img}}" [ngStyle]="{ 'height' : height,'width': width}"
                (click)="detailnews(item.newsid, item.news_type, item.news_detail)">
              <img *ngIf="item.newsid == ''" class="imgSlide" src="assets/imgs/notnews.jpg" [ngStyle]="{ 'height' : height,'width': width}"
                (click)="detailnews(item.newsid, item.news_type, item.news_detail)">

            </ion-slide>
          </ion-slides>
        </div>
      </ion-col>

      <ion-col col-12 *ngFor="let item of list_news_all" >
        <ion-item *ngIf="item.newsid != ''" no-lines margin-top 
        (click)="detailnews(item.newsid, item.news_type, item.news_detail)" class="button-border" class="item-news">
          <ion-thumbnail item-start col-5 style="margin-left: -3%;">
            <img class="imgTitle" src="{{item.news_img}}" style="width:100%; height: 100px;">
          </ion-thumbnail>
          <ion-label text-wrap>
            {{item.title}}
          </ion-label>
        </ion-item>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>